Tag: pip

Есть ли pip / easy_install для Scala?

Я хочу организовать свои пакеты Scala и любить, как Python решает эту проблему с помощью pip . Можете ли вы порекомендовать аналогичный инструмент для управления пакетами Scala? EDIT: Я ищу легкую установку новых пакетов со всеми его зависимостями, такими как >>> pip install <a_package> # installs a_package with all dependencies.

Установка с помощью `setup.py develop` не работает – работает pip

Для моего пакета python для пакета footools требуется установить install_requires в setup.py . setup.py не работает Не удается setup.py develop установку через setup.py develop : cd src/footools/ python setup.py develop Processing dependencies for footools==2016.205 Searching for html5lib==0.9999999 Reading https://source.example.com/pypi/simple/html5lib/ Download error on https://source.example.com/pypi/simple/html5lib/: [Errno 185090050] _ssl.c:354: error:0B084002:x509 certificate routines:X509_load_cert_crl_file:system lib — Some packages may not […]

Почему не удается удалить pysqlite?

Я пытаюсь удалить pysqlite из моей системы, используя pip . То, что я делаю, не имеет смысла: $ pip uninstall pysqlite Команда работала, но смотри так: $ pip freeze […] pysqlite==1.0.1 Давай попробуем снова $ pip uninstall pysqlite Can't uninstall 'pysqlite'. No files were found to uninstall. Nop, кажется, удалены, но все еще обнаруживаются в […]

после обновления не работает

Сегодня я обновился с пункта 7.1.0 до 7.1.2, и теперь он не работает. $ pip search docker-compose Exception: Traceback (most recent call last): File "/Library/Python/2.7/site-packages/pip/basecommand.py", line 223, in main status = self.run(options, args) File "/Library/Python/2.7/site-packages/pip/commands/search.py", line 43, in run pypi_hits = self.search(query, options) File "/Library/Python/2.7/site-packages/pip/commands/search.py", line 60, in search hits = pypi.search({'name': query, 'summary': query}, […]

«Нет модуля с именем time»

Я скомпилировал Python из источника, используя: wget http://python.org/ftp/python/2.6.6/Python-2.6.6.tar.bz2 tar jxvf Python-2.6.6.tar.bz2 cd Python-2.6.6 ./configure make make install Версия Python: as3:~# python -V Python 2.6.6 Я также установил программу установки, но когда я использую pip install xxx , я всегда получаю следующую ошибку: Traceback (most recent call last): File "/usr/local/bin/pip", line 5, in <module> from pkg_resources […]

pip не устанавливает entry_points как исполняемые файлы

Я пытаюсь создать собственный пакет. Пакет очень прост, он имеет один модуль python и один скрипт bash. Я использовал оба из них для установки в /usr/local/bin чтобы их можно было выполнить напрямую. Вот мой файл setup.py : from setuptools import setup setup( name='deploy', . . . install_requires=['pyyaml', 'cot', 'jsonschema'], entry_points={ 'console_scripts': [ 'cloud_config = cloud_config:main', […]

can`t upgrade pip до новейшей версии 9.0.1 (ОС: ubuntu 16.04LTS)

ОС: ubuntu 16.04LTS Python: 2.7.12 + Anaconda2-4.2.0 (64 bit) Я набрал pip install –upgrade $TF_BINARY_URL для установки tensorflow, но терминал показал, что мой pip verson был 8.1.1 , однако версия 9.0.1 доступна. Затем я набрал pip install –upgrade pip для обновления, но он показал, что Requirement already up-to-date: pip in ./anaconda2/lib/python2.7/site-packages , Я все еще […]

провалился в "sudo pip"

Пожалуйста, помогите мне. сервер: aws ec2 os: amazon linux версия для python: 2.7.10 $ pip –версия pip 7.1.2 из /usr/local/lib/python2.7/site-packages (python 2.7) Все нормально. Но… $ sudo pip –version Traceback (последний последний вызов): Файл «/ usr / bin / pip», строка 5, в из pkg_resources import load_entry_point Файл «/usr/lib/python2.7/dist-packages/pkg_resources/__init__.py», строка 3020, в work_set = WorkingSet._build_master […]

PIP: установка только зависимостей

У меня есть скрипт, который создает virtualenv , устанавливает distribute и pip в нем, а затем, возможно, клонирует git repo. Теперь у меня есть проект, над которым я буду работать, установлен. Но его зависимости не установлены. Как я могу заставить pip установить все зависимости, как если бы я выпустил pip install MyApp ? EDIT : […]

Контейнер для подачи вилки github-repo

Я работаю над проектом и нуждаюсь в немного другой функциональности от пакета sklearn. Я разветвил репо и подтолкнул мои изменения. Я знаю, что я могу установить из github через pip: pip install git+git://github.com/wdonahoe/scikit-learn-fork.git@master и затем я могу установить пакет с setup.py: python setup.py install Однако я смущен тем, что делать после этого шага. Запуск setup.py […]

 
Interesting Posts for Van-Lav

извлечение данных из твитов твиттера с использованием python

Scrapy – активация компонента Pipeline Item – настройка ITEM_PIPELINES

Tweepy (Twitter API) Не возвращает все результаты поиска

ReportLab: работа с символами китайского / Юникода

Force Python Scrapy не кодировать URL-адрес

Итерирование объекта класса

Как конвертировать XLSX в листы в Google Диске API v3

Запустите команду linux system в качестве суперпользователя, используя скрипт python

Импортируйте последовательность файлов .svg в FontForge как глифы и выведите файл шрифта

Запросы Python: получить атрибуты из возвращенной строки JSON

Является ли внедрение абстрактного метода неписаным?

Как добавить конечную косую черту для приложения для категоризации Django MPTT?

Испускание спецификаций пространства имен с ElementTree в Python

Запуск нескольких находок и замещений в Python (для каждого файла в папке и подпапке)

Использование двух разных распределений Python

Python - лучший язык программирования в мире.